package ru.nbch.credit_tracker.entities.external_request.signals;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import lombok.Setter;

@Setter
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
        "persons"
})
public class Conditions {

    @XmlElement(name = "Persons", required = true)
    protected Persons persons;

    public Persons getPersons() {
        if (persons == null) {
            persons = new Persons();
        }
        return persons;
    }
}
